package com.tomas.ckd_system.lib;

import androidx.annotation.Nullable;

public abstract class SpinObjectDevice {
    public abstract String getDevice_id();
    public abstract String getUser_id();
    public abstract String getArea();

    @Override
    public boolean equals(@Nullable Object obj) {
        return ((SpinObjectDevice)obj).getDevice_id().equals(this.getDevice_id());
    }

}
